Skip to content
GET /unified/hris/bgv

Query Parameters

Refer Specifying query parameters in Truto APIs

candidateobject

The BGV's candidate

1 supported
SpringVerify India
supported
idstring
required·

The candidate's unique identifier

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

debugobject

Present only when truto_response_format=debug. Contains raw fetch details: requestUrl, requestOptions, data, responseHeaders, nextCursor, isLooping, isEmptyResult, resultCount. null for static responses or when truto_skip_api_call=true.

data
isEmptyResultboolean
isLoopingboolean
nextCursorstring
requestOptionsRecord<string, any>
requestUrlstring
responseHeadersRecord<string, any>
resultCountnumber
next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Bgv

idstring
required·

The BGV's unique identifier

1 supported
SpringVerify India
supported
candidateobject

The BGV's candidate

1 supported
SpringVerify India
supported
11 properties
addressobject

The candidate's address

6 properties
citystring

The city

countrystring

The country

postal_codestring

The postal code

statestring

The state

street_1string

The first line of the street address

street_2string

The second line of the street address

date_of_birthstring

The candidate's date of birth

emailsobject[]

The candidate's email addresses

3 properties
emailstring

The email address

is_primaryboolean

Whether the email address is primary

typestring

The type of email address

employee_numberstring

The candidate's employee number

first_namestring

The candidate's first name

genderstring

The candidate's gender

Possible values:
malefemalenon_binarynot_specifiedprefer_not_to_sayother
idstring

The candidate's unique identifier

last_namestring

The candidate's last name

middle_namestring

The candidate's middle name

namestring

The candidate's full name

phonesobject[]

The candidate's phone numbers

3 properties
extensionstring

The extension of the phone number

numberstring

The phone number

typestring

The type of phone number

checksobject[]

The BGV's checks

1 supported
SpringVerify India
supported
6 properties
detailsstring

The check's details

idstring

The check's unique identifier

namestring

The check's name

resultstring

The check's result

statusstring

The check's status

typestring

The check's type

completed_atstring · date-time

The date and time of the BGV's completion

1 supported
SpringVerify India
supported
created_atstring · date-time

The date and time of the BGV's creation

1 supported
SpringVerify India
supported
documentsobject[]

The BGV's documents

5 properties
idstring

The document's unique identifier

namestring

The document's name

typestring

The document's type

uploaded_atstring · date-time

The date and time of the document's upload

urlstring

The document's URL

employeeobject

The employee associated with the background verification

References: Employees → id
2 properties
idstring

The employee's unique identifier

namestring

The employee's name

etagstring

The unique identifier for the specific version of the resource

expires_atstring · date-time

The date and time of the BGV's expiry

packageobject

The BGV's package

References: BgvPackages → id
1 supported
SpringVerify India
supported
3 properties
idstring

The package's unique identifier

namestring

The package's name

package_groupobject

The package's package group

2 properties
idstring

The package group's unique identifier

namestring

The package group's name

remote_dataRecord<string, any>

Raw data returned from the remote API call.

reportobject

The BGV's report

1 supported
SpringVerify India
supported
2 properties
expires_atstring · date-time

The date and time of the report's expiry

mime_typestring

The report's MIME type

requested_atstring · date-time

The date and time of the BGV's request

1 supported
SpringVerify India
supported
resultstring

The BGV's result

Possible values:
clearconsiderdiscrepantverifiedunable_to_verifynot_applicableunknown
1 supported
SpringVerify India
supported
statusstring

The BGV's status

Possible values:
draftinvitedpending_candidatein_progressinsufficientcompletedcanceledexpiredfailedunknown
1 supported
SpringVerify India
supported
submitted_atstring · date-time

The date and time of the candidate's submission

updated_atstring · date-time

The date and time of the BGV's last update

1 supported
SpringVerify India
supported
urlsobject[]

The BGV's URLs

1 supported
SpringVerify India
supported
2 properties
typestring

The URL type

Possible values:
invitationconsentcandidate_portalreport
urlstring

The URL

truto unified hris bgv \
  -a '<integrated_account_id>' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'hris',
  'bgv',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "hris",
        "bgv",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
curl -X GET 'https://api.truto.one/unified/hris/bgv?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/hris/bgv?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/hris/bgv"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())